﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;

namespace WindowsFormsApplication2
{
	public partial class Form1 : Form
	{
		TChart tChart1;

		public Form1()
		{
			InitializeComponent();
			CreateChart();
			InitializeChart();
		}

        Bar series1; 
        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            series1 = new Bar(tChart1.Chart);

            series1.BarWidthPercent = 15;
            series1.Marks.Visible = false;
            
            series1.Add(4, 10, ColorConst.First);
            series1.Add(4, 5, ColorConst.Second);
            series1.Add(4, 20, ColorConst.Third);
            series1.Add(4, 30, ColorConst.Forth);
            series1.Add(4, 5, ColorConst.Fifth);
            series1.Add(4, 40, ColorConst.Sixth);
            series1.Add(4, 25, ColorConst.Seventh);
            series1.Add(4, 10, ColorConst.Eight);
            series1.Add(4, 23, ColorConst.Nineth);
            series1.Add(4, 27, ColorConst.Tenth);

            series1.MultiBar = MultiBars.SelfStack;

            tChart1.Axes.Left.Automatic = false;
            tChart1.Axes.Left.AutomaticMaximum = false;
            tChart1.Axes.Left.AutomaticMinimum = false;

            tChart1.Axes.Left.Maximum = 200;
            tChart1.Axes.Left.Minimum = -30;

            tChart1.Axes.Bottom.Automatic = false;
            tChart1.Axes.Bottom.AutomaticMaximum = false;
            tChart1.Axes.Bottom.AutomaticMinimum = false;

            tChart1.Axes.Bottom.Maximum = 10;
            tChart1.Axes.Bottom.Minimum = 0;
        }

		private void CreateChart()
		{               
            tChart1 = new TChart();
            tChart1.Dock = DockStyle.Fill;
            tblPanel.Controls.Add(tChart1, 0, 1);
            tblPanel.Dock = DockStyle.Fill;
		}       

        private void btnModify_Click_1(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
	}

    public class ColorConst
    {
        public static readonly Color First = Color.FromArgb(219, 219, 219);
        public static readonly Color Second = Color.FromArgb(222, 216, 218);
        public static readonly Color Third = Color.FromArgb(184, 186, 216);
        public static readonly Color Forth = Color.FromArgb(209, 185, 189);
        public static readonly Color Fifth = Color.FromArgb(142, 149, 189);
        public static readonly Color Sixth = Color.FromArgb(201, 147, 151);
        public static readonly Color Seventh = Color.FromArgb(90, 102, 166);
        public static readonly Color Eight = Color.FromArgb(174, 82, 98);
        public static readonly Color Nineth = Color.FromArgb(22, 45, 160);
        public static readonly Color Tenth = Color.FromArgb(155, 0, 69);
    }
}
